Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class Util.Thread

    java.lang.Object
      java.lang.Thread
          php.java.bridge.Util.Thread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  Util

    public static class Util.Thread

extends java.lang.Thread

Convenience daemon thread class

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Util.Thread()`
`Util.Thread(java.lang.Runnable target)`
`Util.Thread(java.lang.Runnable target, java.lang.String name)`
`Util.Thread(java.lang.String name)`
`Util.Thread(java.lang.ThreadGroup group, java.lang.Runnable target)`
`Util.Thread(java.lang.ThreadGroup group, java.lang.Runnable target, java.lang.String name)`
`Util.Thread(java.lang.ThreadGroup group, java.lang.Runnable target, java.lang.String name, long stackSize)`
`Util.Thread(java.lang.ThreadGroup group, java.lang.String name)`

Method Summary

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Util.Thread

    public Util.Thread()

### Util.Thread

    public Util.Thread(java.lang.String name)

### Util.Thread

    public Util.Thread(java.lang.Runnable target)

### Util.Thread

    public Util.Thread(java.lang.ThreadGroup group,
                       java.lang.Runnable target)

### Util.Thread

    public Util.Thread(java.lang.ThreadGroup group,
                       java.lang.String name)

### Util.Thread

    public Util.Thread(java.lang.Runnable target,
                       java.lang.String name)

### Util.Thread

    public Util.Thread(java.lang.ThreadGroup group,
                       java.lang.Runnable target,
                       java.lang.String name)

### Util.Thread

    public Util.Thread(java.lang.ThreadGroup group,
                       java.lang.Runnable target,
                       java.lang.String name,
                       long stackSize)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD